
QGIS Application - Bug report #17713

Layer name case doesn't match entered name or filename when creating new or saving new version 

of layer

2017-12-18 06:24 AM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 25610

Description

When I either

Create a new layer, or

Save a layer under a new name, or

Add an existing layer to a project

The case of the name that appears by default in the layer list always has the first letter capitalised regardless of the filename on the disk.

Related issues:

Related to QGIS Application - Bug report # 17741: Layer name renamed when loaded Closed 2017-12-23

History

#1 - 2018-01-02 07:56 PM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed

Used to be optional - now the layer names are always formatted (ie. first letter of each word is turned to uppercase; see

commit:6e31fccc5dc41706b9933a3bd4a11f8d49523840)

#2 - 2018-01-03 11:22 PM - Jürgen Fischer

- Related to Bug report #17741: Layer name renamed when loaded added
